import { LandingStepsMetadata } from './types';
import * as i0 from "@angular/core";
export declare class LandingStepsComponent {
    private readonly props_;
    set props(v: LandingStepsMetadata);
    readonly p: import("@angular/core").Signal<LandingStepsMetadata>;
    readonly cols: import("@angular/core").Signal<2 | 3 | 4>;
    readonly accentColor: import("@angular/core").Signal<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LandingStepsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LandingStepsComponent, "val-landing-steps", never, { "props": { "alias": "props"; "required": false; }; }, {}, never, never, true, never>;
}
